Skip to main content
GET
/
v0
/
costs
List
curl --request GET \
  --url https://api.paygentic.io/v0/costs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paygentic.io/v0/costs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paygentic.io/v0/costs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "cost",
      "type": "metered",
      "name": "<string>",
      "currency": "<string>",
      "unitCost": "<string>",
      "productId": "<string>",
      "merchantId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "unit": "<string>",
      "eventType": "<string>",
      "valueProperty": "<string>",
      "groupBy": {},
      "deletedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total": 123
  }
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}

Authorizations

Authorization
string
header
required

API key authentication

Query Parameters

merchantId
string

Filter costs by merchant organization ID. If omitted, defaults to the merchant associated with the authenticated API key. Unique identifier for an organization

Pattern: ^org_[a-zA-Z0-9]+$
productId
string

Filter costs by product ID. Unique identifier for a product

Pattern: ^prod_[a-zA-Z0-9]+$
limit
integer
default:10

Number of costs to return.

Required range: 1 <= x <= 100
offset
integer
default:0

Number of costs to skip.

Required range: x >= 0

Response

List of costs

object
enum<string>
required
Available options:
list
data
object[]
required
pagination
object
required